"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GID_REGEXP = /\/(\w+(-\w+)*)$/;
function parseGid(gid) {
    // appends forward slash to help identify invalid id
    var id = "/" + gid;
    var matches = GID_REGEXP.exec(id);
    if (matches && matches[1] !== undefined) {
        return matches[1];
    }
    throw new Error("Invalid gid: " + gid);
}
exports.parseGid = parseGid;
function composeGid(key, id) {
    return "gid://shopify/" + key + "/" + id;
}
exports.composeGid = composeGid;
function nodesFromEdges(edges) {
    return edges.map(function (_a) {
        var node = _a.node;
        return node;
    });
}
exports.nodesFromEdges = nodesFromEdges;
function keyFromEdges(edges, key) {
    return edges.map(function (_a) {
        var node = _a.node;
        return node[key];
    });
}
exports.keyFromEdges = keyFromEdges;
